## ros-one-rqt-bag-plugins 0.5.1-10jammy.20251014.2101

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rqt_bag_plugins)
# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED)
catkin_package()
catkin_python_setup()

install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY resource
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-one-rqt-bag-plugins (0.5.1-10jammy.20251014.2101) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 14 Oct 2025 21:01:42 +0000

ros-one-rqt-bag-plugins (0.5.1-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 18 Feb 2021 00:00:00 -0000

ros-one-rqt-bag-plugins (0.5.0-0jammy) jammy; urgency=high

  * Fix a few minor issues in image_helper (#68 <https://github.com/ros-visualization/rqt_bag/issues/68>)
  * Make the tree controls in the Raw View and Plot View consistent (#57 <https://github.com/ros-visualization/rqt_bag/issues/57>)
  * Update the package.xml files with the latest Open Robotics maintainers (#58 <https://github.com/ros-visualization/rqt_bag/issues/58>)
  * Initialize pil_mode when image is compressed (#54 <https://github.com/ros-visualization/rqt_bag/issues/54>)
  * Contributors: John Stechschulte, Michael Jeronimo

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 12 Nov 2020 00:00:00 -0000

ros-one-rqt-bag-plugins (0.4.15-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 21 Aug 2020 00:00:00 -0000

ros-one-rqt-bag-plugins (0.4.14-0jammy) jammy; urgency=high

  * support 16-bit bayer images (#45 <https://github.com/ros-visualization/rqt_bag/issues/45>)
  * maintain image aspect ratio (#32 <https://github.com/ros-visualization/rqt_bag/issues/32>)
  * fix Python 3 issue: long/int (#51 <https://github.com/ros-visualization/rqt_bag/issues/51>)
  * fix Python 3 issue: ensure str is encoded before decoding (#50 <https://github.com/ros-visualization/rqt_bag/issues/50>)
  * bump CMake minimum version to avoid CMP0048 warning

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-rqt-bag-plugins (0.4.13-0jammy) jammy; urgency=high

  * add Python 3 conditional dependencies (#44 <https://github.com/ros-visualization/rqt_bag/issues/44>)
  * add cairocffi as the fallback module (#43 <https://github.com/ros-visualization/rqt_bag/issues/43>)
  * autopep8 (#30 <https://github.com/ros-visualization/rqt_bag/issues/30>)

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 17 Mar 2020 00:00:00 -0000

ros-one-rqt-bag-plugins (0.4.12-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 21 Mar 2018 00:00:00 -0000

ros-one-rqt-bag-plugins (0.4.11-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 01 Nov 2017 00:00:00 -0000

ros-one-rqt-bag-plugins (0.4.10-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 25 Oct 2017 00:00:00 -0000

ros-one-rqt-bag-plugins (0.4.9-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 12 Oct 2017 00:00:00 -0000

ros-one-rqt-bag-plugins (0.4.8-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 24 Apr 2017 00:00:00 -0000

ros-one-rqt-bag-plugins (0.4.7-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 02 Mar 2017 00:00:00 -0000

ros-one-rqt-bag-plugins (0.4.6-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 27 Feb 2017 00:00:00 -0000

ros-one-rqt-bag-plugins (0.4.5-0jammy) jammy; urgency=high

  * fix Python 2 regression from version 0.4.4 (#426 <https://github.com/ros-visualization/rqt_common_plugins/issues/426>)

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 03 Feb 2017 00:00:00 -0000

ros-one-rqt-bag-plugins (0.4.4-0jammy) jammy; urgency=high

  * use Python 3 compatible syntax (#421 <https://github.com/ros-visualization/rqt_common_plugins/pull/421>)

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 24 Jan 2017 00:00:00 -0000

ros-one-rqt-bag-plugins (0.4.3-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 02 Nov 2016 00:00:00 -0000

ros-one-rqt-bag-plugins (0.4.2-0jammy) jammy; urgency=high

  * fix crash when toggling thumbnail (#380 <https://github.com/ros-visualization/rqt_common_plugins/issues/380>)
  * lock bag when reading for plotting (#382 <https://github.com/ros-visualization/rqt_common_plugins/pull/382>)

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 19 Sep 2016 00:00:00 -0000

ros-one-rqt-bag-plugins (0.4.1-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 16 May 2016 00:00:00 -0000

ros-one-rqt-bag-plugins (0.4.0-0jammy) jammy; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#359 <https://github.com/ros-visualization/rqt_common_plugins/pull/359>)

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 27 Apr 2016 00:00:00 -0000

ros-one-rqt-bag-plugins (0.3.13-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 08 Mar 2016 00:00:00 -0000

ros-one-rqt-bag-plugins (0.3.12-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 24 Jul 2015 00:00:00 -0000

ros-one-rqt-bag-plugins (0.3.11-0jammy) jammy; urgency=high

  * add missing dependency on rqt_plot (#316 <https://github.com/ros-visualization/rqt_common_plugins/pull/316>)
  * work around Pillow segfault if PyQt5 is installed (#289 <https://github.com/ros-visualization/rqt_common_plugins/pull/289>, #290 <https://github.com/ros-visualization/rqt_common_plugins/pull/290>)

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 30 Apr 2015 00:00:00 -0000

ros-one-rqt-bag-plugins (0.3.10-0jammy) jammy; urgency=high

  * add displaying of depth image thumbnails

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 01 Oct 2014 00:00:00 -0000

ros-one-rqt-bag-plugins (0.3.9-0jammy) jammy; urgency=high

  * add missing dependency on python-cairo (#269 <https://github.com/ros-visualization/rqt_common_plugins/issues/269>)

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 18 Aug 2014 00:00:00 -0000

ros-one-rqt-bag-plugins (0.3.8-0jammy) jammy; urgency=high

  * fix missing installation of resource subfolder

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 15 Jul 2014 00:00:00 -0000

ros-one-rqt-bag-plugins (0.3.7-0jammy) jammy; urgency=high



=== debian/control ===
Source: ros-one-rqt-bag-plugins
Section: misc
Priority: optional
Maintainer: Mabel Zhang <mabel@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-one-catkin
Homepage: http://wiki.ros.org/rqt_bag
Standards-Version: 3.9.2

Package: ros-one-rqt-bag-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-cairo, python3-pil, ros-one-geometry-msgs, ros-one-rosbag, ros-one-roslib, ros-one-rospy, ros-one-rqt-bag, ros-one-rqt-gui, ros-one-rqt-gui-py, ros-one-rqt-plot, ros-one-sensor-msgs, ros-one-std-msgs
Description: rqt_bag provides a GUI plugin for displaying and replaying ROS bag files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-rqt-bag-plugins//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install
